Retrieve Custom Object data by pagination

Retrieves Custom Object data based on specified pagination parameters.

GET
/customobject

Retrieves Custom Object data based on specified pagination parameters.

Authorization

apikey<token>

Tenant API Key for authentication

In: query

apisecret<token>

Tenant API Secret for authentication

In: query

Query Parameters

customobject?string

Custom Object identifier for filtering results. This parameter allows you to specify a Custom Object to filter the results returned by the API.

region?string

The region to filter results by.

next?string

Scroll or pagination token for fetching the next set of results. This token is used to retrieve the next page of results in a paginated response. If not provided, the API will return the first page of results.

Response Body

application/json

application/json

application/json

curl -X GET "https://cloud-api.loginradius.com/customobject?customobject=customObject123%2CcustomObject456&region=us-east-1&next=DXF1ZXJ5QW5kRmV0Y2gBAAAAAAAABXcWem..."
{
  "data": [
    {
      "_id": "user_123456789",
      "DateCreated": "2023-10-01T12:00:00Z",
      "DateModified": "2023-10-02T12:00:00Z",
      "IsActive": true,
      "IsDeleted": true,
      "CustomObject": {},
      "Uid": "UID_123456789"
    }
  ],
  "next": "DXF1ZXJ5QW5kRmV0Y2gBAAAAAAAABXcWem..."
}

{
  "ErrorCode": 908,
  "Message": "A parameter is not formatted correctly in the request, please check all the parameters in the API call.",
  "Description": "The apikey is a required parameter,The apisecret is a required parameter."
}

{
  "ErrorCode": 1043,
  "Message": "Pass a valid next param",
  "Description": "The next param is missing. Please start with a POST request to get next value."
}